Synq Docs
Management APIWebhooks

Read a webhook

Never its secret. Needs `org.webhooks.view`.

GET/v1/orgs/{org}/webhooks/{webhook}

Never its secret. Needs org.webhooks.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
webhook*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/webhooks/string"
{  "id": "string",  "url": "string",  "events": [    "string"  ],  "description": "string",  "enabled": true,  "disabled_reason": "string",  "previous_secret_expires_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}